package com.fs.watch.service;

import com.fs.watch.domain.DevicePhonebook;
import com.fs.watch.domain.PhoneBookObject;
import com.fs.watch.domain.vo.AppInfoVo;
import com.fs.watch.domain.vo.FsMonitorDataVo;
import com.fs.watch.domain.vo.QueryPageMonthVo;
import com.fs.watch.domain.vo.WatchLastHealthDataVo;

import java.util.List;

public interface WatchDataService {
    List<FsMonitorDataVo> queryIndexWatchData(List<String> types, String deviceId);

    ////todo
    List<AppInfoVo> getUserByDeviceId(String deviceIds, Boolean isFamily);

    Boolean power(String deviceId, Boolean isLcdgesture, Boolean isLocation, Boolean isPower, Boolean isHeartHealth);

    Boolean setDeviceTime(String deviceId, Integer itime, Integer iDate);

    Boolean setDeviceUnit(String deviceId, Integer measure, Integer temperature);

    Boolean setDeviceMode(String deviceId, Boolean isLocation, Integer interval, Boolean isPower);

    QueryPageMonthVo queryMonthByDeviceId(String deviceId, Integer pageSize, Integer pageNum);

    List<WatchLastHealthDataVo> queryLastWatchData(String deviceId);

    List<PhoneBookObject> querySos(String deviceId);
}
